summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2021-01-06 16:23:30 +0100
committerRemi Collet <remi@remirepo.net>2021-01-06 16:23:30 +0100
commitcf6b6d80224c473651de51652f4328cb7b8ebcec (patch)
tree7137c89163fdfb2dd7d091bd42d5deb7a5678e38
parentffb92ec0436d2bb0729a3c3bff5bbb7c43210927 (diff)
update to 2.10.0HEADmaster
raise dependency on PHP 7.3 raise dependency on laminas-stdlib 3.3 switch to phpunit9
-rw-r--r--composer.json13
-rw-r--r--php-laminas-filter.spec47
2 files changed, 34 insertions, 26 deletions
diff --git a/composer.json b/composer.json
index 1077e85..ca051e9 100644
--- a/composer.json
+++ b/composer.json
@@ -19,27 +19,24 @@
"sort-packages": true
},
"extra": {
- "branch-alias": {
- "dev-master": "2.9.x-dev",
- "dev-develop": "2.10.x-dev"
- },
"laminas": {
"component": "Laminas\\Filter",
"config-provider": "Laminas\\Filter\\ConfigProvider"
}
},
"require": {
- "php": "^5.6 || ^7.0",
- "laminas/laminas-stdlib": "^2.7.7 || ^3.1",
+ "php": "^7.3 || ~8.0.0",
+ "laminas/laminas-stdlib": "^3.3",
"laminas/laminas-zendframework-bridge": "^1.0"
},
"require-dev": {
"laminas/laminas-coding-standard": "~1.0.0",
"laminas/laminas-crypt": "^3.2.1",
- "laminas/laminas-servicemanager": "^2.7.8 || ^3.3",
+ "laminas/laminas-servicemanager": "^3.3",
"laminas/laminas-uri": "^2.6",
"pear/archive_tar": "^1.4.3",
- "phpunit/phpunit": "^5.7.23 || ^6.4.3",
+ "phpspec/prophecy-phpunit": "^2.0",
+ "phpunit/phpunit": "^9.3",
"psr/http-factory": "^1.0"
},
"conflict": {
diff --git a/php-laminas-filter.spec b/php-laminas-filter.spec
index 1e511d1..f99f0f3 100644
--- a/php-laminas-filter.spec
+++ b/php-laminas-filter.spec
@@ -1,13 +1,13 @@
# remirepo/Fedora spec file for php-laminas-filter
#
-# Copyright (c) 2015-2020 Remi Collet
+# Copyright (c) 2015-2021 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 3c4476e772a062cef7531c6793377ae585d89c82
+%global gh_commit cfb40b104e92a0b52bee696b74f958798ad8faa4
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-filter
@@ -18,7 +18,7 @@
%global with_tests 0%{!?_without_tests:1}
Name: php-%{gh_project}
-Version: 2.9.4
+Version: 2.10.0
Release: 1%{?dist}
Summary: %{namespace} Framework %{library} component
@@ -30,8 +30,7 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-# 7.0 because of psr/http-factory
-BuildRequires: php(language) >= 7.0
+BuildRequires: php(language) >= 7.3
BuildRequires: php-date
BuildRequires: php-iconv
BuildRequires: php-mbstring
@@ -41,44 +40,47 @@ BuildRequires: php-spl
BuildRequires: php-zip
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.1.0 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.3 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# From composer, "require-dev": {
# "laminas/laminas-coding-standard": "~1.0.0",
# "laminas/laminas-crypt": "^3.2.1",
-# "laminas/laminas-servicemanager": "^2.7.8 || ^3.3",
+# "laminas/laminas-servicemanager": "^3.3",
# "laminas/laminas-uri": "^2.6",
# "pear/archive_tar": "^1.4.3",
-# "phpunit/phpunit": "^5.7.23 || ^6.4.3",
+# "phpspec/prophecy-phpunit": "^2.0",
+# "phpunit/phpunit": "^9.3",
# "psr/http-factory": "^1.0"
BuildRequires: (php-autoloader(%{gh_owner}/laminas-crypt) >= 3.2.1 with php-autoloader(%{gh_owner}/laminas-crypt) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.3 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-uri) >= 2.6 with php-autoloader(%{gh_owner}/laminas-uri) < 3)
+BuildRequires: (php-composer(phpspec/prophecy-phpunit) >= 2.0 with php-composer(phpspec/prophecy-phpunit) < 3)
BuildRequires: (php-composer(psr/http-factory) >= 1.0 with php-composer(psr/http-factory) < 2)
-# remirepo:8
+# remirepo:9
%else
BuildRequires: php-laminas-stdlib
BuildRequires: php-laminas-zendframework-bridge
BuildRequires: php-laminas-crypt
BuildRequires: php-laminas-servicemanager
BuildRequires: php-laminas-uri
-BuildRequires: php-composer(psr/http-factory)
+BuildRequires: php-phpspec-prophecy-phpunit
+BuildRequires: php-psr-http-factory
%endif
BuildRequires: php-autoloader(pear/archive_tar) >= 1.4.3
-%global phpunit %{_bindir}/phpunit6
-BuildRequires: phpunit6 >= 6.4.3
+%global phpunit %{_bindir}/phpunit9
+BuildRequires: phpunit9 >= 9.3
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^5.6 || ^7.0",
-# "laminas/laminas-stdlib": "^2.7.7 || ^3.1",
+# "php": "^7.3 || ~8.0.0",
+# "laminas/laminas-stdlib": "^3.3",
# "laminas/laminas-zendframework-bridge": "^1.0"
-Requires: php(language) >= 5.6
+Requires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.1.0 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.3 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# From composer, "suggest": {
# "laminas/laminas-crypt": "Laminas\\Crypt component, for encryption filters",
@@ -183,6 +185,9 @@ cat << 'EOF' | tee vendor/autoload.php
<?php
require_once '%{buildroot}%{php_home}/%{namespace}/%{library}/autoload.php';
\Fedora\Autoloader\Autoload::addPsr4('%{namespace}Test\\%{library}\\', dirname(__DIR__) . '/test');
+\Fedora\Autoloader\Dependencies::required([
+ '%{php_home}/Prophecy/PhpUnit/autoload.php',
+]);
EOF
# Need investigation
@@ -196,10 +201,10 @@ exit (class_exists("\\Zend\\%{library}\\ToInt") ? 0 : 1);
: upstream test suite
ret=0
-for cmd in "php %{phpunit}" php72 php73 php74; do
+for cmd in "php %{phpunit}" php73 php74 php80; do
if which $cmd; then
set $cmd
- $1 ${2:-%{_bindir}/phpunit6} || ret=1
+ $1 ${2:-%{_bindir}/phpunit9} || ret=1
fi
done
exit $ret
@@ -219,6 +224,12 @@ exit $ret
%changelog
+* Wed Jan 6 2021 Remi Collet <remi@remirepo.net> - 2.10.0-1
+- update to 2.10.0
+- raise dependency on PHP 7.3
+- raise dependency on laminas-stdlib 3.3
+- switch to phpunit9
+
* Mon Mar 30 2020 Remi Collet <remi@remirepo.net> - 2.9.4-1
- update to 2.9.4 (no change)